<?php
/**
 * Call to Action Section Component for Index Page
 * LelangMobil Web App - Versi 2025
 */
?>

<!-- CTA Section -->
<section class="cta-section section-padding" id="cta-section">
    <div class="container">
        <div class="cta-container" data-aos="fade-up">
            <div class="cta-background"></div>
            <div class="row align-items-center">
                <div class="col-lg-8">
                    <div class="cta-content">
                        <h2>Siap Memulai Petualangan Baru?</h2>
                        <p>Daftar sekarang dan temukan kendaraan impian Anda dengan harga terbaik. Proses lelang yang transparan dan aman memastikan pengalaman terbaik untuk Anda.</p>
                        <div class="cta-buttons">
                            <a href="register.php" class="btn btn-primary btn-lg me-3">
                                <i class="fas fa-user-plus me-2"></i>Daftar Sekarang
                            </a>
                            <a href="auctions.php" class="btn btn-outline-light btn-lg">
                                <i class="fas fa-search me-2"></i>Lihat Lelang
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 d-none d-lg-block">
                    <div class="cta-image">
                        <img src="images/cta-car.png" alt="Mobil Impian" class="img-fluid" onerror="this.src='images/car-placeholder.png';">
                        <div class="cta-badge">
                            <span class="cta-badge-text">Mulai dari</span>
                            <span class="cta-badge-price">Rp 100jt</span>
                        </div>
                    </div>
                </div>
            </div>
            
            <!-- Features -->
            <div class="cta-features">
                <div class="row">
                    <div class="col-md-4">
                        <div class="cta-feature-item">
                            <div class="cta-feature-icon">
                                <i class="fas fa-shield-alt"></i>
                            </div>
                            <h4>100% Aman</h4>
                            <p>Transaksi terjamin dengan sistem escrow</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="cta-feature-item">
                            <div class="cta-feature-icon">
                                <i class="fas fa-check-double"></i>
                            </div>
                            <h4>Inspeksi 150+ Poin</h4>
                            <p>Setiap kendaraan melewati inspeksi ketat</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="cta-feature-item">
                            <div class="cta-feature-icon">
                                <i class="fas fa-undo"></i>
                            </div>
                            <h4>Garansi 7 Hari</h4>
                            <p>Jaminan kepuasan dengan kebijakan pengembalian</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
