<?php
/**
 * Fix DOM Error
 * LelangMobil Web App - Versi 2025
 */

// Set page title
$page_title = "Fix DOM Error - LelangMobil";

// Include header
include("includes/header.php");
?>

<div class="container py-5">
    <div class="row">
        <div class="col-lg-8 offset-lg-2">
            <div class="modern-card">
                <div class="modern-card-header">
                    <h2>Fix DOM Error</h2>
                </div>
                <div class="modern-card-body">
                    <div class="modern-alert modern-alert-success mb-4">
                        <i class="fa fa-check-circle"></i>
                        <div>
                            <h5>Perbaikan Berhasil Diterapkan</h5>
                            <p>Error "Failed to execute 'insertBefore' on 'Node'" telah diperbaiki.</p>
                        </div>
                    </div>
                    
                    <p>Perbaikan yang telah diterapkan:</p>
                    <ul>
                        <li>Menambahkan file <code>dom-fix.js</code> yang dijalankan di awal</li>
                        <li>Memperbaiki file <code>page-loader.js</code> dan <code>error-handler.js</code></li>
                        <li>Menambahkan pengecekan keberadaan parent node</li>
                        <li>Memperbaiki struktur HTML di header dan footer</li>
                    </ul>
                    
                    <div class="mt-4">
                        <a href="index.php" class="modern-btn modern-btn-primary">Kembali ke Beranda</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include("includes/footer.php"); ?>