    </main>
    <?php if (!isset($is_auth_page)): ?>
    <footer class="modern-footer">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6">
                    <div class="footer-widget">
                        <div class="footer-logo">
                            <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo.png', 200, 50) : 'images/logo.png'; ?>" alt="LelangMobil" class="logo-light">
                            <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo-dark.png', 200, 50) : 'images/logo-dark.png'; ?>" alt="LelangMobil" class="logo-dark">
                        </div>
                        <p>Platform lelang mobil online terpercaya di Indonesia. Temukan mobil impian Anda dengan harga terbaik melalui sistem lelang yang transparan dan aman.</p>
                        <div class="social-links">
                            <a href="#"><i class="fab fa-facebook-f"></i></a>
                            <a href="#"><i class="fab fa-twitter"></i></a>
                            <a href="#"><i class="fab fa-instagram"></i></a>
                            <a href="#"><i class="fab fa-youtube"></i></a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-2 col-md-6">
                    <div class="footer-widget">
                        <h4>Tautan Cepat</h4>
                        <ul class="footer-links">
                            <li><a href="index.php">Beranda</a></li>
                            <li><a href="auctions.php">Lelang</a></li>
                            <li><a href="how-it-works.php">Cara Kerja</a></li>
                            <li><a href="contact.php">Kontak</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="footer-widget">
                        <h4>Layanan</h4>
                        <ul class="footer-links">
                            <li><a href="#">Jual Mobil</a></li>
                            <li><a href="#">Beli Mobil</a></li>
                            <li><a href="#">Inspeksi Mobil</a></li>
                            <li><a href="#">Bantuan</a></li>
                            <li><a href="#">FAQ</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="footer-widget">
                        <h4>Hubungi Kami</h4>
                        <ul class="footer-contact">
                            <li><i class="fa fa-map-marker-alt"></i> Jl. Raya Utama No. 123, Jakarta</li>
                            <li><i class="fa fa-phone-alt"></i> +62 21 1234 5678</li>
                            <li><i class="fa fa-envelope"></i> info@lelangmobil.com</li>
                            <li><i class="fa fa-clock"></i> Senin - Jumat: 09:00 - 17:00</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="footer-bottom">
                <div class="row">
                    <div class="col-md-6">
                        <p>&copy; <?php echo date('Y'); ?> LelangMobil. All Rights Reserved.</p>
                    </div>
                    <div class="col-md-6">
                        <ul class="footer-bottom-links">
                            <li><a href="#">Syarat & Ketentuan</a></li>
                            <li><a href="#">Kebijakan Privasi</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <?php endif; ?>
    
    <!-- Core JavaScript Files -->
    <script src="js/bootstrap.bundle.min.js"></script>
    <script src="js/mdb.min.js"></script>
    
    <!-- Custom JavaScript Files -->
    <script src="js/modern-theme-activator.js"></script>
    <script src="js/form-validator.js"></script>
    <script src="js/responsive-handler.js"></script>
    <script src="js/image-lazy-loader.js"></script>
    <script src="js/theme-switcher.js"></script>
    <script src="js/notification-system.js"></script>
    <script src="js/back-to-top.js"></script>
    
    <script>
    // Mobile menu toggle
    document.addEventListener('DOMContentLoaded', function() {
        const mobileMenuToggle = document.querySelector('.modern-navbar-toggler');
        const mobileMenu = document.querySelector('.mobile-menu');
        const mobileMenuClose = document.querySelector('.mobile-menu-close');
        
        if (mobileMenuToggle && mobileMenu && mobileMenuClose) {
            mobileMenuToggle.addEventListener('click', function() {
                mobileMenu.classList.add('active');
            });
            
            mobileMenuClose.addEventListener('click', function() {
                mobileMenu.classList.remove('active');
            });
        }
        
        // Mobile dropdown toggle
        const mobileDropdownToggles = document.querySelectorAll('.mobile-dropdown-toggle');
        
        mobileDropdownToggles.forEach(toggle => {
            toggle.addEventListener('click', function(e) {
                e.preventDefault();
                const dropdownMenu = this.nextElementSibling;
                dropdownMenu.classList.toggle('active');
            });
        });
    });
    </script>
    
    <?php if (isset($page_specific_js)) echo $page_specific_js; ?>
</body>
</html>